// -- [ Nav ] --
nav {
    opacity: 0;
    position: fixed;
    top: 0;
    left: 10%;
    width: 80%;
    border-bottom-left-radius: 20px;
    border-bottom-right-radius: 20px;

    display: flex;
    justify-content: space-around;
    align-items: center;
    height: 15vh;
    background-color: $primary-color;
    transition: all ease-in-out 0.3s;

    box-shadow: $element-shadow;

    z-index: 5;

    &.fixed {
      height: 10vh;
      transition: all ease-in-out 0.3s;
    }
  }

  .nav-active {
    right: -10vw !important;
    transform: translateX(0%) !important;
  }

  .nav-links {
    a {
      color: $text-color;
      font-weight: thin;
      text-transform: uppercase;
      text-decoration: none;
      letter-spacing: 3px;
      font-size: 15px;
      transition: 0.3s;
      &:hover {
        color: $secondary-color;
        transition: 0.3s;
      }
    }

    li {
      list-style: none;
    }
    margin-bottom: 0;
    display: flex;
    width: 40%;
    justify-content: space-around;
  }

  .logo {
    flex-direction: row;
    display: flex;
    position: absolute;
    left: 10px;
    justify-content: space-around;

    h4 {
      margin: 0 10px !important;
      color: $secondary-color;
      text-transform: uppercase;
      letter-spacing: 5px;
    }
    img {
      height: 15vh;
      width: 200px;
    }
  }

  // -- [ Burger ] --
  .burger {
    display: none;
    cursor: pointer;
    position: absolute;
    right: 20px;
  }

  .burger div {
    width: 25px;
    height: 2px;
    background-color: $secondary-color;
    margin: 5px;
  }

  .toggle .line1 {
    transform: rotate(-45deg) translate(-5px, 5px);
  }
  .toggle .line2 {
    opacity: 0;
  }
  .toggle .line3 {
    transform: rotate(45deg) translate(-5px, -5px);
  }

  // -- [ Media Queries ] --
  @media screen and (max-width: 1024px) {
    .nav-links {
      width: 60%;
    }
  }

  @media screen and (max-width: 768px) {
    body {
      overflow-x: hidden;
    }
    .nav-links {
      background-color: $primary-color;
      position: absolute;
      right: 0px;
      margin: 0;
      height: 100vh;
      top: 0;
      width: 50vw;
      display: flex;
      flex-direction: column;
      align-items: center;
      transform: translateX(100vw);
      transition: 0.5s ease-in;
    }
    .nav-links li {
      opacity: 0;
    }
    .burger {
      display: block;
    }
  }

  // -- [ Keyframes ] --
  @keyframes navLinkFade {
    from {
      opacity: 0;
      transform: translateX(50px);
    }
    to {
      opacity: 1;
      transform: translateX(0px);
    }
  }
  @keyframes fade {
    from {
      opacity: 0;
    }
    to {
      opacity: 1;
    }
  }
  @keyframes unFade {
    from {
      opacity: 1;
    }
    to {
      opacity: 0;
    }
  }
